<?php

class LoginEventArgs
{
	var $mUser=null;
	var $mXoopsUser=null;

	function hasUser()
	{
		return $this->mUser!=null;
	}

	function hasXoopsUser()
	{
		return $this->mUser!=null;
	}

	function setUser(&$user)
	{
		$this->mUser=&$user;
	}
	
	function &getUser()
	{
		return $this->mUser;
	}

	function setXoopsUser(&$user)
	{
		$this->mXoopsUser=&$user;
	}

	function &getXoopsUser()
	{
		return $this->mXoopsUser;
	}
}

class CheckLoginEventArgs extends LoginEventArgs
{
	var $mSuccessFlag=false;
	var $mRedirectUrl=XOOPS_URL;
	var $mRedirectMessage=null;
	
	function setSuccessFlag($flag)
	{
		$this->mSuccessFlag=$flag;
	}

	function getSuccessFlag()
	{
		return $this->mSuccessFlag;
	}
	
	function isSuccess()
	{
		return $this->mSuccessFlag;
	}
	
	function setRedirectUrl($url)
	{
		$this->mRedirectMessage=$url;
	}
	
	function getRedirectUrl()
	{
		return $this->mRedirectUrl;
	}
	
	function setRedirectMessage($message)
	{
		$this->mRedirectMessage=$message;
	}
	
	function getRedirectMessage()
	{
		return $this->mRedirectMessage;
	}
}

?>